Summary: Open Graphics Transformation Languages
Name: opengtl
Version: 0.9.14
Release: %mkrel 2
Source0: http://www.opengtl.org/download/OpenGTL-%{version}.tar.bz2
Patch0: OpenGTL-0.9.14-fix-link.patch
License: LGPLv2+
Group: System/Libraries
Url: http://www.opengtl.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: cmake
BuildRequires: zlib-devel
BuildRequires: png-devel
BuildRequires: llvm = 2.6
Requires: llvm = 2.6
Provides: OpenGTL = %version

%description
Graphics Transformation Languages is a set of library for using and
integrating transformation algorithms (such as filter or color conversion)
in graphics applications

%files
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/GTLImageIO
%{_datadir}/OpenGTL

#--------------------------------------------------------------------

%define libgtlcore_major 0
%define libgtlcore %mklibname gtlcore %libgtlcore_major

%package -n %libgtlcore
Summary: OpenGTL core library
Group: System/Libraries
Conflicts: %{_lib}opengtl0.6 < 0.9.13

%description -n %libgtlcore
OpenGTL core library.

%files -n %libgtlcore
%defattr(-,root,root)
%_libdir/libGTLCore.so.%{libgtlcore_major}*

#--------------------------------------------------------------------

%define libgtlimageio_major 0
%define libgtlimageio %mklibname gtlimageio %libgtlimageio_major

%package -n %libgtlimageio
Summary: OpenGTL core library
Group: System/Libraries
Conflicts: %{_lib}opengtl0.6 < 0.9.13

%description -n %libgtlimageio
OpenGTL core library.

%files -n %libgtlimageio
%defattr(-,root,root)
%_libdir/libGTLImageIO.so.%{libgtlimageio_major}*

#--------------------------------------------------------------------

%define libopenctl_major 0
%define libopenctl %mklibname openctl %libopenctl_major

%package -n %libopenctl
Summary: OpenGTL core library
Group: System/Libraries
Conflicts: %{_lib}opengtl0.6 < 0.9.13

%description -n %libopenctl
OpenGTL core library.

%files -n %libopenctl
%defattr(-,root,root)
%_libdir/libOpenCTL.so.%{libopenctl_major}*

#--------------------------------------------------------------------

%define libopenshiva_major 0
%define libopenshiva %mklibname openshiva %libopenshiva_major

%package -n %libopenshiva
Summary: OpenGTL core library
Group: System/Libraries
Conflicts: %{_lib}opengtl0.6 < 0.9.13

%description -n %libopenshiva
OpenGTL core library.

%files -n %libopenshiva
%defattr(-,root,root)
%_libdir/libOpenShiva.so.%{libopenshiva_major}*

#--------------------------------------------------------------------

%define develname %mklibname -d %name

%package -n %develname
Summary: OpenGTL development files
Group: Development/C++
Requires: %libgtlcore = %{version}-%{release}
Requires: %libopenshiva = %{version}-%{release}
Requires: %libopenctl = %{version}-%{release}
Requires: %libgtlimageio = %{version}-%{release}
Provides: OpenGTL-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Provides: OpenCTL-devel = %{version}-%{release}
Provides: openctl-devel = %{version}-%{release}

%description -n %develname
This package contains header files needed if you wish to build applications
based on OpenGTL.

%files -n %develname
%defattr(-,root,root)
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc

#--------------------------------------------------------------------

%prep
%setup -q -n %name
%patch0 -p0

%build
%cmake
%make

%install
rm -rf %{buildroot}
%{makeinstall_std} -C build

%clean
rm -rf %{buildroot}


%changelog
* Tue May 18 2010 Funda Wang <fwang@mandriva.org> 0.9.14-2mdv2010.1
+ Revision: 545070
- add patch fix build with latest ldflags
- fix conflicts with

* Tue Mar 16 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.9.14-1mdv2010.1
+ Revision: 521124
- Update for koffice

* Mon Mar 15 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.9.13-2mdv2010.1
+ Revision: 519945
- Fix file list
- Fix used macros
  fix conflicts with previous lib
- New version 0.9.13

* Wed Nov 25 2009 Funda Wang <fwang@mandriva.org> 0.9.12-1mdv2010.1
+ Revision: 469908
- New versino 0.9.12

* Thu Sep 17 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.9.10-1mdv2010.0
+ Revision: 443967
- New version 0.9.10

* Thu Jul 30 2009 Funda Wang <fwang@mandriva.org> 0.9.9-2mdv2010.0
+ Revision: 404528
- add openctl provides

* Wed Jul 29 2009 Funda Wang <fwang@mandriva.org> 0.9.9-1mdv2010.0
+ Revision: 403874
- fix license
- import opengtl

